×
Siemens Industry Online Support
Siemens AG
Entry type: Download Entry ID: 109474471, Entry date: 05/13/2019
(1)
Rate

Firmware update for ET 200SP DI 16X24VDC ST

  • Entry
  • Associated product(s)
Firmware update for ET 200SP DI 16X24VDC ST
Description:

A detailed description of performing the firmware update is provided in the entry 78646133.

Note:
If an I/O module is replaced or upgraded by means of a firmware update, the firmware of the interface module may also need to be updated.
The following table shows the interface module versions for which an update is necessary:

Affected
interface module
Article numberMinimum firmware versionRegards supply from
Siemens stock until ca.
IM155-6PN ST (PROFINET)6ES7155-6Ax00-0BN0V1.1.112/2013
IM155-6DP HF (PROFIBUS)6ES7155-6Bx00-0CN0V1.1.012/2013
IM155-6PN HF (PROFINET)6ES7155-6AU00-0CN0 V2.1.012/2013 

Therefore, we urgently recommend that you update the firmware of the interface modules listed above for IMs with a firmware version lower than the minimum firmware version.


Overview of article numbers and current revision levels of the ET 200SP DI 16X24VDC ST:

Article number

Software
version

Upgrade by means of...

6ES7131-6BH00-0BA0

V1.1.0

For upgrade:
For a description, see below Update V1.1.0

For STEP 7 version 5.5
Registrierung notwendig Classic_6ES7131-6BH00-0BA0_V110.ZIP (52.3 KB)

For STEP 7 TIA Portal
Registrierung notwendig TIA_6ES7131-6BH00-0BA0_V110.ZIP (52.4 KB)

V1.0.3

Backup only:
For a description, see below Update V1.0.3

For STEP 7 version 5.5
 Registrierung notwendig  Classic_6ES7131-6BH00-0BA0_V103.EXE (169,0 KB)

For STEP 7 TIA Portal
 Registrierung notwendig  TIA_6ES7131-6BH00-0BA0_V103.EXE (169,0 KB)


Update V1.1.0

Functional expansion:

  • Support of value status (QI, quality information)

Notes:

1. Updating to version V1.1.0 is only possible as of FS 03.
2. Downgrading from version V1.1.0 to a version < V1.1.0 is not possible.


Update V1.0.3

The following changes have been implemented:

  • Functional improvements with short cycle times

Notes:

1. Updating to version V1.0.3 is only possible with the following modules:
  • FS03 or higher
and
  • FW version V1.0.1 or higher.

2. Downgrading from version V1.0.3 to a version < V1.0.3 is not possible.